Review System Requirments

Before getting started with the Cloudera Stream Processing (CSP) installation, ensure that all the system requirements are satisfied.

Operating system support

Operating system Versions
CentOS/RHEL/Oracle
  • 7.0
  • 7.1
  • 7.2
  • 7.3
  • 7.4
  • 7.5
  • 7.6
SuSE
  • 12 SP3
  • 12 SP2
  • 12 SP1
Debian 9
Ubuntu
  • 14
  • 16
  • 18

JDK support

  • Open JDK 1.8
  • Oracle JDK 1.8

Cloudera component support

Component Version
Cloudera Manager 6.3.0 or later
CDH 5 5.13 or later
CDH 6 6.3.0 or later
Apache Kafka
  • Kafka included in CDH 6.3 or later
  • If you are using CDH 5.13, you may install CDK 4.1 or later

Cloudera Services Support

The following tables include information about which Cloudera services are supported in CSP.

Cloudera Service Supported? CDH Versions
Sentry Yes 5.13 +
Navigator No N/A